=== debian/control ===
Source: ros-kinetic-kvh
Section: misc
Priority: extra
Maintainer: Geoffrey Viola <geoffrey.viola@asirobots.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-std-msgs
Homepage: http://www.ros.org/wiki/kvh
Standards-Version: 3.9.2

Package: ros-kinetic-kvh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: A driver for the KVH DSP-3000 single-axis Fiber Optic Gyroscope.
